package com.yihu.jw.internet.entity;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by Trick on 2019/10/23.
 */
@Entity
@Table(name = "internet_up_log")
public class InternetUpLogDO {

    private String id; //上传批次
    private String code;//监管平台任务编码',
    private Date createDate;//执行日期',
    private Date startDate;//开始时间',
    private Date endDate;//结束时间',
    private Integer suc;//成功条数',
    private Integer err;//失败条数',
    private Integer dataErr;//格式错误条数',
    private String remark;//结果描述',

    @Id
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Column(name = "code")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(name = "create_date")
    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    @Column(name = "start_date")
    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    @Column(name = "end_date")
    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    @Column(name = "suc")
    public Integer getSuc() {
        return suc;
    }

    public void setSuc(Integer suc) {
        this.suc = suc;
    }

    @Column(name = "err")
    public Integer getErr() {
        return err;
    }

    public void setErr(Integer err) {
        this.err = err;
    }

    @Column(name = "data_err")
    public Integer getDataErr() {
        return dataErr;
    }

    public void setDataErr(Integer dataErr) {
        this.dataErr = dataErr;
    }

    @Column(name = "remark")
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
